summaryrefslogtreecommitdiffstats
path: root/target/linux/lantiq/extract.sh
diff options
context:
space:
mode:
authorblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-02-01 14:37:35 +0000
committerblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-02-01 14:37:35 +0000
commit1a35b7c84e9494409a1c22920a7ae3e7cb65bae7 (patch)
treeaabab0d882def61192bc2edf085a093d20005d40 /target/linux/lantiq/extract.sh
parent19dd812e30738975cdcae52e47bfefb741a93d8d (diff)
[lantiq]
* adds profiles to the kernel * fixes 2 compile errors in the usb driver * ioports were not allocated properly git-svn-id: svn://svn.openwrt.org/openwrt/trunk@25278 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/linux/lantiq/extract.sh')
-rwxr-xr-xtarget/linux/lantiq/extract.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/target/linux/lantiq/extract.sh b/target/linux/lantiq/extract.sh
new file mode 100755
index 000000000..98e413e0b
--- /dev/null
+++ b/target/linux/lantiq/extract.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+DIR="$1/"
+FILE="$1/$2"
+
+echo "This tool downloads the arcor a800 firmware release and extracts the voip firmware for the danube."
+echo "Please only do so if it is legal in your country"
+
+[ ! -f ${FILE} ] && {
+ echo ${FILE} is missing
+ exit 1
+}
+
+[ -f ${DIR}/ifxmips_fw_decodev2.tar.bz2 -a ! -f ${DIR}voip_coef.bin ] && {
+ [ ! -f ${DIR}decode_ifx_fw && -f ${DIR}ifxmips_fw_decodev2.tar.bz2 ] && {
+ tar xjf ${DIR}ifxmips_fw_decodev2.tar.bz2 ifxmips_fw_decode/decode.c -O > ${DIR}decode.c
+ gcc -o ${DIR}decode_ifx_fw ${DIR}decode.c
+ }
+ [ ! -f ${DIR}decode_ifx_fw ] && {
+ [ ! -f ${DIR}voip_coef.lzma ] && {
+ ${DIR}decode_ifx_fw $FILE ${DIR}voip_coef.lzma
+ }
+ lzma d ${DIR}voip_coef.lzma ${DIR}voip_coef.bin
+ }
+}
+[ ! -f ${DIR}dsl_a.bin ] && {
+ dd if=${FILE} of=${DIR}dsl1.lzma bs=1 skip=2168832 count=150724
+ lzma d ${DIR}dsl2.lzma ${DIR}dsl_a.bin
+}
+
+[ ! -f ${DIR}dsl_b.bin ] && {
+ dd if=${FILE} of=${DIR}dsl2.lzma bs=1 skip=2320384 count=148343
+ lzma d ${DIR}dsl1.lzma ${DIR}dsl_b.bin
+}
+
+[ ! -f ${DIR}voip.bin ] && {
+ dd if=${FILE} of=${DIR}voip.lzma bs=1 skip=2468864 count=452105
+ lzma d ${DIR}voip.lzma ${DIR}voip.bin
+}
+exit 0
+
+# get lzma offsets
+# hexdump -C arcor_A800_452CPW_FW_1.02.206\(20081201\).bin | grep "5d 00 00 80"
+# hexdump -C arcor_A800_452CPW_FW_1.02.206\(20081201\).bin | grep "00 d5 08 00"